# Get Site

Get ` https://app.mk.io/api/v1/projects/:project_name/infra/sites/:name`

Get a site by name. To learn more about sites, read Site Concept.

RBAC Capability Required: `infra.site.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

| Parameter       | Type   | Required | Description                               |
|----------------|--------|----------|-------------------------------------------|
| project_name   | string | Yes      | Name of the project                       |
| name           | string | Yes      | Name of the site                          |

## Response

**200 A single site**

| Field                   | Type      | Required | Description                                    |
|------------------------|-----------|----------|------------------------------------------------|
| kind                   | string    | Yes      | The kind of record.                           |
| metadata               | object    | Yes      | Site metadata.                                |
| created                | string    | No       | The time when the resource was created        |
| createdBy             | string    | No       | ID of the user who created the resource       |
| createdByEmail        | string    | No       | Email of the user who created the resource    |
| displayName            | string    | No       | The display name of the resource              |
| id                     | string    | Yes      | The ID of the resource                        |
| labels                 | map       | No       | A dictionary of labels associated with the resource |
| name                   | string    | No       | The name of the resource                      |
| updated                | string    | No       | The time when the resource was last updated   |
| updatedBy             | string    | No       | ID of the user who last updated the resource  |
| updatedByEmail        | string    | No       | Email of the user who last updated the resource|
| spec                   | object    | Yes      | Site specification.                           |

### Errors

| Status Code | Description      | Error Object    | Remarks                      |
|-------------|------------------|-----------------|-----------------------------|
| 400         | Bad Request      | [ErrorDetail]   | Pertinent information about the error |
| 401         | Unauthorized      | [ErrorDetail]   | Pertinent information about the error |
| 403         | Forbidden         | [ErrorDetail]   | Pertinent information about the error |
| 404         | Not Found         | [ErrorDetail]   | Pertinent information about the error |
| 429         | Too Many Requests  | [ErrorDetail]   | Pertinent information about the error |
| 500         | Internal Server Error | [ErrorDetail]   | Pertinent information about the error |
